public class Alanc
{

    public static void main(String[] args)
    {
        System.out.println("The Alan Compiler");
        System.out.println("(c)2005 All Rights Reverved - Use at your own risk.");
        if (args.length > 0)
        {
            String filename = args[0];
            System.out.println("Reading source file " + filename);
            Lexer lex = new Lexer();
            lex.scan(filename);
            if (lex.lastScanSuccessful)
            {
                System.out.println("Lex successful.");
            }
            else
            {
                System.out.println("Lex failed.  Error:" + lex.getLastErrorMessage());     
            }
        }
        else
        {
            System.out.println("ERROR: Please supply the source code filename as a command line arguement.");
        }
    }
}
