import java.io.FileInputStream;
import java.io.InputStream;

public class Lexer
{   
    public Lexer()
    {        
    }
 
    public String scan(String filename)
    {
        String msg = "";
        msg = "Scanning " + filename;        
        Token token;
        AlanLangTokenManager scanner;
        InputStream infile;        
        try
        {
            infile = new FileInputStream(filename);
            scanner = new AlanLangTokenManager( new SimpleCharStream(infile));            
            token = scanner.getNextToken();
            while (token.kind != AlanLangConstants.EOF)
            {
                // Process token
                System.out.println(scanner.tokenImage[token.kind] + ": " + token.image);
                try
                {
                    token = scanner.getNextToken();
                }
                catch (Exception ex)
                {
                    lastScanSuccessful = false;
                    lastErrorMessage = "Lex Error.";
                }
            }
        }
        catch (Exception ex)
        {
        
        }
        lastErrorMessage = msg;
        return msg;
    }
    
    public String getLastErrorMessage()
    {
        return lastErrorMessage;
    }
    
    public boolean isLastScanSuccessful()
    {
        return lastScanSuccessful;
    }

    protected String lastErrorMessage = "";
    protected boolean lastScanSuccessful = true;   
    
}

